Lists
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/lists"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/lists")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 550,
"page": 1,
"results": [
{
"description": "",
"favorite_count": 0,
"id": 8190783,
"item_count": 10,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "sfg",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 47098,
"item_count": 110,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "classic british comedy",
"poster_path": null
},
{
"description": "Everything from the 60's",
"favorite_count": 0,
"id": 49030,
"item_count": 30,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "British comedy 1960's",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 50041,
"item_count": 69,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "AAA TV Shows K-Z",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8243014,
"item_count": 20,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "stw",
"poster_path": null
},
{
"description": "British Sitcoms",
"favorite_count": 0,
"id": 42415,
"item_count": 127,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "British Sitcoms",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8190814,
"item_count": 3,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "abc",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8176291,
"item_count": 4,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Movies",
"poster_path": null
},
{
"description": "Wat u need",
"favorite_count": 0,
"id": 44462,
"item_count": 58,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Classic tv",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 49323,
"item_count": 2373,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Collection",
"poster_path": null
},
{
"description": "Classic comedy",
"favorite_count": 0,
"id": 79559,
"item_count": 80,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "LOL Classic TV",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 107311,
"item_count": 8,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "classic tv shows",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 19293,
"item_count": 19,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Comedy",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 80443,
"item_count": 39,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Cbtv",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 49466,
"item_count": 96,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "AAA TV Shows A-K",
"poster_path": null
},
{
"description": "A collection of Mr. Coots Faves",
"favorite_count": 0,
"id": 43356,
"item_count": 57,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Fave TV Shows",
"poster_path": null
},
{
"description": "UK Sitcoms",
"favorite_count": 0,
"id": 41736,
"item_count": 48,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "UK Sitcoms",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 39932,
"item_count": 48,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Comedy Gold Tv",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 15232,
"item_count": 112,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "TV Shows",
"poster_path": null
}
],
"total_pages": 1,
"total_results": 19
}TV SERIES
Lists
This endpoint is used to get the lists that a TV series has been added to.
GET
/
tv
/
{series_id}
/
lists
Lists
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/lists"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/lists")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 550,
"page": 1,
"results": [
{
"description": "",
"favorite_count": 0,
"id": 8190783,
"item_count": 10,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "sfg",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 47098,
"item_count": 110,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "classic british comedy",
"poster_path": null
},
{
"description": "Everything from the 60's",
"favorite_count": 0,
"id": 49030,
"item_count": 30,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "British comedy 1960's",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 50041,
"item_count": 69,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "AAA TV Shows K-Z",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8243014,
"item_count": 20,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "stw",
"poster_path": null
},
{
"description": "British Sitcoms",
"favorite_count": 0,
"id": 42415,
"item_count": 127,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "British Sitcoms",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8190814,
"item_count": 3,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "abc",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8176291,
"item_count": 4,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Movies",
"poster_path": null
},
{
"description": "Wat u need",
"favorite_count": 0,
"id": 44462,
"item_count": 58,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Classic tv",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 49323,
"item_count": 2373,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Collection",
"poster_path": null
},
{
"description": "Classic comedy",
"favorite_count": 0,
"id": 79559,
"item_count": 80,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "LOL Classic TV",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 107311,
"item_count": 8,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "classic tv shows",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 19293,
"item_count": 19,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Comedy",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 80443,
"item_count": 39,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Cbtv",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 49466,
"item_count": 96,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "AAA TV Shows A-K",
"poster_path": null
},
{
"description": "A collection of Mr. Coots Faves",
"favorite_count": 0,
"id": 43356,
"item_count": 57,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Fave TV Shows",
"poster_path": null
},
{
"description": "UK Sitcoms",
"favorite_count": 0,
"id": 41736,
"item_count": 48,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "UK Sitcoms",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 39932,
"item_count": 48,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "Comedy Gold Tv",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 15232,
"item_count": 112,
"iso_639_1": "en",
"iso_3166_1": "US",
"name": "TV Shows",
"poster_path": null
}
],
"total_pages": 1,
"total_results": 19
}Authorizations
Response
200 - application/json
Successful